var stagewidth = 300;
var stageheight = 600;
var imagewidth = 390;
var imageheight = 780;
var centerX = (imagewidth/2) - (stagewidth/2);
var centerY = (imageheight/2) - (stageheight/2);
function init() {

TweenMax.set(imgHolder,{x:-centerX, y:-centerY, scale:.8, transformOrigin: "50% 50%"});
TweenMax.set(flare, {autoAlpha:0});
TweenMax.set([text1,text2,text3, flare3, text2b], {autoAlpha:0});
TweenMax.set(text1, {scaleX:1.2});
TweenMax.set(flare3, {scaleY:.4});
TweenMax.set(img2, {autoAlpha:0});
TweenMax.set(flare2, {x:-centerX, y:-centerY,autoAlpha:0,scaleY:.3, scaleX:.8});
/*TweenLite.set(flare1,{x:220, y:-170, scale:2,transformOrigin: "50% 50%"});
TweenLite.set(flare2,{x:-250, y:-210, transformOrigin: "50% 50%"});*/
setOverlay(); 

}

function setOverlay(){
	TweenMax.set(overlay, {autoAlpha:0});
	frame1();

}

function frame1(){


TweenMax.to(imgHolder, 15,{y:70, scale:1.2, ease: Power1.easeInOut});
TweenMax.to(img2, 2,{autoAlpha:1, ease: Power1.easeIn,delay:6});
TweenMax.set(logo, {autoAlpha:1,delay:1,onComplete:logoIn});
TweenMax.to(logo, .5,{autoAlpha:0, ease: Power1.easeIn,delay:4, onComplete:resetLogo});
TweenMax.to(flare2, .1,{autoAlpha:1,ease: Power1.easeOut,delay:4.1});
TweenMax.to(flare2, .3,{scaleX:3, scaleY:1.6, ease: Power1.easeOut,delay:4.1});
TweenMax.to(text1, .5,{autoAlpha:1,ease: Power1.easeIn,delay:4.5});
TweenMax.to(text1, .5,{scaleX:1, ease: Power1.easeOut,delay:4.5});
TweenMax.to(flare2, .3,{scaleY:.3, scaleX:.2,ease: Power1.easeInOut,delay:4.5});
TweenMax.to(flare2, .1,{autoAlpha:0,ease: Power1.easeInOut,delay:4.7});
TweenMax.to(text1, .5,{autoAlpha:0, delay:6, ease:Power1.easeIn});
TweenMax.to(text2, 1,{autoAlpha:1, delay:6.2, ease:Power1.easeIn});
TweenMax.to(text3, 1,{autoAlpha:1, delay:8, ease:Power1.easeIn});
TweenMax.set(logo, {y:-25, autoAlpha:1,delay:9, onComplete:logoIn});
/*TweenMax.to(flare3, .2,{autoAlpha:1, delay:10.4, ease:Power1.easeInOut});
TweenMax.to(flare3, .8,{x:260, delay:10.5, ease:Power1.easeInOut});
TweenMax.to(flare3, .2,{autoAlpha:0, delay:11.1, ease:Power1.easeInOut});*/
TweenMax.to(text2b, 1,{autoAlpha:1, delay:10.2, ease:Power1.easeIn});
TweenMax.to(text2b, 1,{autoAlpha:0, delay:11.2, ease:Power1.easeIn});

}

function logoIn(){

TweenMax.to(logoText, .9, {clip: "rect(0px,300px,600px,0px)", ease: Power1.easeInOut})
TweenMax.to(logoSubText, .9, {clip: "rect(0px,300px,600px,0px)", ease: Power1.easeInOut})
TweenMax.to(flare,1.1,{x:520, ease: Power1.easeInOut})
TweenMax.to(flare,.2,{autoAlpha:1, ease: Power1.easeInOut})
TweenMax.to(flare,.2,{autoAlpha:0, ease: Power1.easeInOut,delay:.9})
TweenMax.to(logoStreep, .9, {clip: "rect(0px,300px,600px,0px)", ease: Power1.easeInOut/*,delay:.4*/})

}

function resetLogo(){
TweenMax.set([logoText,logoStreep,logoSubText], {clip: "rect(0px,0px,600px,0px)"})	
TweenMax.set(flare, {x:0})
}





